Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain
Interface BeanReportDataSource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, DataSource, InternalURI, ReportDataSource, Resource, java.io.Serializable

All Known Implementing Classes:
  BeanReportDataSourceImpl

    public interface BeanReportDataSource

extends ReportDataSource

Author:
  swood

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`java.lang.String` | `getBeanMethod()`
`java.lang.String` | `getBeanName()`
`void` | `setBeanMethod(java.lang.String beanMethod)`
`void` | `setBeanName(java.lang.String beanName)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getBeanName

    java.lang.String getBeanName()

### setBeanName

    void setBeanName(java.lang.String beanName)

### getBeanMethod

    java.lang.String getBeanMethod()

### setBeanMethod

    void setBeanMethod(java.lang.String beanMethod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.